Bug 1003523 - [engine] vnic_profile_id is not copied to new vm when cloning vm from snapshot
[engine] vnic_profile_id is not copied to new vm when cloning vm from snapshot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
urgent Severity high
: ---
: 3.3.0
Assigned To: Moti Asayag
yeylon@redhat.com
network
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 05:10 EDT by Gadi Ickowicz
Modified: 2016-04-18 02:59 EDT (History)
8 users (show)

See Also:
Fixed In Version: is14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm + engine logs (3.44 MB, application/x-bzip)
2013-09-02 05:10 EDT, Gadi Ickowicz
no flags Details
VM2 now has vNicProfile (102.08 KB, image/png)
2013-09-15 07:01 EDT, awinter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18798 None None None Never

  None (edit)
Description Gadi Ickowicz 2013-09-02 05:10:48 EDT
Created attachment 792770 [details]
vdsm + engine logs

Description of problem:
When cloning a vm from snapshot the new vm's vnic_profile_id is blank, and the vm does not get an IP when booting up.

engine=# select * from vm_interface;
                  id                  |               vm_guid                | vmt_guid |     mac_addr      | name | speed | type |         _create_date          | _update_date | linked |           vnic_profile_id
            
--------------------------------------+--------------------------------------+----------+-------------------+------+-------+------+-------------------------------+--------------+--------+--------------------------
------------
 4a96568d-999a-496b-8736-c25f5ddf622d | cb360a32-b71c-41c3-8b8c-b429c88b9418 |          | 00:1a:4a:16:81:bc | nic1 |  1000 |    3 | 2013-09-02 10:53:31.368373+03 |              | t      | a7c50b98-e8ca-4d92-a7a2-2
474efc7f718
 9a28a9a7-a04f-4ac8-9514-ced71cc0ab5f | f6f1981d-c53a-45bc-8a89-f08ba4768eef |          | 00:1a:4a:16:81:bd | nic1 |  1000 |    3 | 2013-09-02 10:57:20.136157+03 |              | t      | 
(2 rows)



Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create vm and install OS on it, then set persistent network
2. Power off vm and create a snapshot
3. Clone vm from snapshot
4. Start new vm

Actual results:
New vm does not have vnic_profile_id, also on webadmin on the VM itself,the new vm's network interfaces tab has only the NIC - the network name and network profile for the NIC are empty.
Comment 2 awinter 2013-09-15 07:01:15 EDT
Created attachment 797877 [details]
VM2 now has vNicProfile

Bug fixed.
Comment 3 awinter 2013-09-15 07:01:50 EDT
Bug fixed.
See attachment
Comment 5 Itamar Heim 2014-01-21 17:29:54 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:29:55 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:32:55 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.